SATA_STD_HARDRESET(9)

NAME
sata_std_hardreset - COMRESET w/o waiting or classification

SYNOPSIS

int sata_std_hardreset(struct ata_link * link, unsigned int * class, unsigned long deadline);

ARGUMENTS

link
    link to reset

class
    resulting class of attached device

deadline
    deadline jiffies for the operation

DESCRIPTION

Standard SATA COMRESET w/o waiting or classification.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 if link offline, -EAGAIN if link online, -errno on errors.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT